.predictive-search {
  /* Header and input */
  .predictive-search-form__header {
    margin-block-end: var(--margin-lg);
    padding: 0;
    border: 0;
  }

  .predictive-search-form__header-inner {
    position: relative;
  }

  .predictive-search__icon {
    left: var(--margin-md);
    color: var(--color-caption);

    svg {
      width: var(--icon-size-lg);
      height: var(--icon-size-lg);
    }
  }

  .predictive-search__reset-button {
    position: absolute;
    top: 50%;
    right: var(--margin-xs);
    margin: 0;
    transform: translateY(-50%);
    color: var(--color-caption);

    .svg-wrapper,
    .svg-wrapper svg {
      width: var(--icon-size-lg);
      height: var(--icon-size-lg);
    }

    &:hover,
    &:focus-visible {
      color: var(--color-primary-hover);
    }
  }

  .search-input {
    border: 1px solid var(--color-input-border);
    padding: var(--input-padding-y) calc(3 * var(--input-padding-x));
  }

  /* Results */
  .predictive-search-results__products {
    padding-inline: 0;

    &:not(:last-child) {
      padding-block-end: var(--margin-xl);
      margin-block-end: var(--margin-xl);
      border-bottom: 1px solid var(--border-color);
    }
  }

  .predictive-search-results__title {
    margin-block-end: var(--margin-md);
  }

  .recently-viewed-wrapper {
    padding-block-end: var(--margin-xl);
    margin-block-end: var(--margin-xl);
    border-bottom: 1px solid var(--border-color);
  }

  .predictive-search-results__wrapper-products {
    row-gap: var(--gap-2xl);
  }

  .resource-card__media {
    display: flex;
    align-items: center;
    justify-content: center;
    aspect-ratio: 3 / 4;
    background-color: var(--gallery-background);
    transition: background-color 0.25s ease-in-out;
  }

  .resource-card__image {
    padding: var(--padding-2xl);
    object-fit: contain;
    aspect-ratio: 1;
  }

  .resource-card__content {
    gap: var(--gap-xs);
  }

  .resource-card__title {
    font-size: var(--font-size--md);
  }

  .resource-card__color {
    font-size: 0.875em;
  }

  .resource-card {
    --gallery-background: var(--color-card-background);

    &:hover,
    &:has(a.resource-card__link:focus-visible) {
      .resource-card__media {
        --gallery-background: var(--color-card-hover-background);
      }
    }

    .price-container {
      display: flex;
      flex-direction: row-reverse;
      justify-content: flex-end;
      gap: var(--gap-2xs);
    }
  }

  /* Slides */
  .predictive-search-results__wrapper {
    &:not(:last-child) {
      padding-block-end: var(--margin-xl);
      margin-block-end: var(--margin-xl);
      border-bottom: 1px solid var(--border-color);
    }

    slideshow-slides {
      padding-inline: 0;
    }
  }

  .predictive-search-results__resource-header {
    padding-inline: 0;
    margin-block-end: var(--margin-xs);
    height: unset;
  }

  .predictive-search-results__card {
    padding: 0;
    border: 0;
    border-radius: 0;
  }
}
